extension ExtendedList<T> on List<T> {
  /// Puts an item between each item of the list
  ///
  /// The item that is added is has to match the same type of everything in the
  /// list. The sizeof the list has to be greater than 1 and if it is not, the
  /// list will be returned.
  List<T> putBetween(T item) {
    var newList = [];
    if (this.length > 1) {
      for (int i = 0; i < (newList.length - 1); i++) {
        newList.add(this[i]);
        newList.add(item);
      }
      newList.add(this[length - 1]);
      return newList;
    }
    return this;
  }
}
